Package com.microblink.blinkid.activity.result

# Enum Class ResultStatus

java.lang.Object
java.lang.Enum<ResultStatus>
com.microblink.blinkid.activity.result.ResultStatus

All Implemented Interfaces:
  `Serializable`, `Comparable<ResultStatus>`, `Constable`

public enum ResultStatus extends Enum<ResultStatus>
Status of the scanning process.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CANCELLED`
  Scanning process has been cancelled by the user
  `EXCEPTION`
  An exception occurred during the scanning process, for example, when the license key check didn't pass
  `FINISHED`
  Scanning process has been successfully finished

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ResultStatus`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ResultStatus[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### FINISHED

    public static final ResultStatus FINISHED
    Scanning process has been successfully finished

  - ### CANCELLED

    public static final ResultStatus CANCELLED
    Scanning process has been cancelled by the user

  - ### EXCEPTION

    public static final ResultStatus EXCEPTION
    An exception occurred during the scanning process, for example, when the license key check didn't pass

- ## Method Details

  - ### values

    public static ResultStatus[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ResultStatus valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null